/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

/*! \file */

#include <stdint.h> // uint_least8_t

#ifndef UIRC_GUARD_PUBLIC_CTCP
#define UIRC_GUARD_PUBLIC_CTCP

enum uirc_table_ctcp_formats {
	IRC_CTCP_BOLD,
	IRC_CTCP_COLOR,
	IRC_CTCP_COLOR_HEX,
	IRC_CTCP_RESET,
	IRC_CTCP_MONOSPACE,
	IRC_CTCP_REVERSE,
	IRC_CTCP_ITALICS,
	IRC_CTCP_STRIKETHROUGH,
	IRC_CTCP_UNDERLINE,
};
int_least8_t IRC_CTCP_FORMAT(enum uirc_table_ctcp_formats fmt);

enum uirc_table_ctcp_named_colors {
	IRC_CTCP_COLORS_WHITE,
	IRC_CTCP_COLORS_BLACK,
	IRC_CTCP_COLORS_BLUE,
	IRC_CTCP_COLORS_GREEN,
	IRC_CTCP_COLORS_RED,
	IRC_CTCP_COLORS_BROWN,
	IRC_CTCP_COLORS_MAGENTA,
	IRC_CTCP_COLORS_ORANGE,
	IRC_CTCP_COLORS_YELLOW,
	IRC_CTCP_COLORS_LIGHT_GREEN,
	IRC_CTCP_COLORS_CYAN,
	IRC_CTCP_COLORS_LIGHT_CYAN,
	IRC_CTCP_COLORS_LIGHT_BLUE,
	IRC_CTCP_COLORS_PINK,
	IRC_CTCP_COLORS_GREY,
	IRC_CTCP_COLORS_LIGHT_GREY,
	IRC_CTCP_COLORS_DEFAULT,
};
int_least8_t IRC_CTCP_COLORS(enum uirc_table_ctcp_named_colors col);

typedef uint_least8_t rgbcolor[3];
rgbcolor*             uirc_ctcp_to_rgb(uint_least8_t color);

#endif /* UIRC_GUARD_PUBLIC_CTCP */

