/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

/*! \file */

#ifndef UIRC_GUARD_PUBLIC_ERRORS
#define UIRC_GUARD_PUBLIC_ERRORS

typedef enum {
	UIRC_ERR_NERROR = 0,
	UIRC_ERR_SYSERR,
	UIRC_ERR_BUFSIZ,
	UIRC_ERR_INVFMT,
} uirc_errno_t;

extern uirc_errno_t uirc_errno;
const char*         uirc_strerror(uirc_errno_t errno);

#endif /* UIRC_GUARD_PUBLIC_ERRORS */

