/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include <inttypes.h> // int_least8_t
#include <stdbool.h>  // bool

/*! \file */

#ifndef UIRC_GUARD_PUBLIC_MODES
#define UIRC_GUARD_PUBLIC_MODES

typedef bool IRC_Modes[(('z' - 'a')) * 2];

enum uirc_table_mode {
	IRC_MODE_WALLOPS,
	IRC_MODE_INVISIBLE,
	IRC_MODE_AWAY,
	IRC_MODE_RESTRICTED,
	IRC_MODE_OPERATOR,
	IRC_MODE_LOCALOPERATOR,
	IRC_MODE_SERVERNOTICES,
};
char IRC_MODE(enum uirc_table_mode mode);

bool        uirc_mode_toggle(char m, IRC_Modes ms);
bool        uirc_mode_enable(char m, IRC_Modes ms);
bool        uirc_mode_disable(char m, IRC_Modes ms);
void        uirc_mode_copy(IRC_Modes d, IRC_Modes const s);
bool        uirc_mode_fetch(char m, IRC_Modes ms);
const char* uirc_mode_bmconv(IRC_Modes ms);

#endif /* UIRC_GUARD_PUBLIC_MODES */

