/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "tag.h"

static const char* const irc_tag[] = {
	[IRC_TAG_ACCOUNT] = "account", [IRC_TAG_BATCH] = "batch", [IRC_TAG_BOT] = "bot",
	[IRC_TAG_LABEL] = "label",     [IRC_TAG_MSGID] = "msgid", [IRC_TAG_MULTILINE] = "multiline-concat",
	[IRC_TAG_TIME] = "time",       [IRC_TAG_REACT] = "react", [IRC_TAG_REPLY] = "reply",
	[IRC_TAG_TYPING] = "typing",
};

const char*
IRC_TAG(enum uirc_table_tag tag)
{
	return irc_tag[tag];
}
