/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "common.h" // expect() print_irc_message()
#include "uirc.h"   // uirc_* IRC_*

#include <stdbool.h> // true
#include <stdio.h>   // fprintf()
#include <stdlib.h>  // EXIT_*
#include <string.h>  // strcmp()

int
main(void)
{
	if (uirc_errno != UIRC_ERR_NERROR) return EXIT_FAILURE;
	const char* const str = "???? THIS IS INVALID";
	IRC_Message*      m   = uirc_tokenizer_message(str);
	if (m != NULL || uirc_errno != UIRC_ERR_INVFMT) return EXIT_FAILURE;
	return EXIT_SUCCESS;
}
